Skip to main content
GET
/
clients
/
{clientId}
/
contact-methods
/
primary
/
{type}
Get primary contact method for a client
curl --request GET \
  --url https://api.artu.ai/clients/{clientId}/contact-methods/primary/{type} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "value": "<string>",
  "isVerified": true,
  "verifiedAt": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "isPrimary": false,
  "label": "<string>",
  "externalId": "<string>",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

clientId
string<uuid>
required
type
enum<string>
required
Available options:
email,
phone,
mobile,
fax,
other

Response

200 - application/json
object | null

OK

clientId
string<uuid>
required

Client ID

type
enum<string>
required

Type

Available options:
email,
phone,
mobile,
fax,
other
value
string
required

Value

Minimum string length: 1
isVerified
boolean
required
verifiedAt
string<date-time> | null
required
id
string<uuid>
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
isPrimary
boolean
default:false

Is Primary

label
string

Label

externalId
string

External ID

metadata
object

Metadata